<div id="Producers_Id" style="display:none" class="LovDialog NrlDialog" data-ng-controller="ControllerLovProducers">
    <div class="NpTable">
        <div class="GridSearchArea" data-ng-show="model.showSearchParams">
            <h4>{{getALString("Search Criteria")}}</h4>
            <table>
                <tr>
                    <td colspan="1" style="width:16%" >
                        <label class="pull-left" for="LovProducers_fsch_ProducersLov_prodName"  data-ng-bind="getALString('Full Name')"   />
                    </td>
                    <td colspan="1" style="width:16%" >
                        <label class="pull-left" for="LovProducers_fsch_ProducersLov_prodCode"  data-ng-bind="getALString('COde')"   />
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                </tr>
                <tr>
                    <td colspan="1" style="width:16%" >
                        <input name='LovProducers_fsch_ProducersLov_prodName' data-ng-model='modelLovProducers.fsch_ProducersLov_prodName' data-np-ui-model='modelLovProducers._fsch_ProducersLov_prodName' data-ng-readonly='LovProducers_fsch_ProducersLov_prodName_disabled()' data-np-text='dummy' />
                    </td>
                    <td colspan="1" style="width:16%" >
                        <input name='LovProducers_fsch_ProducersLov_prodCode' data-ng-model='modelLovProducers.fsch_ProducersLov_prodCode' data-np-ui-model='modelLovProducers._fsch_ProducersLov_prodCode' data-ng-readonly='LovProducers_fsch_ProducersLov_prodCode_disabled()' data-np-number='dummy' data-np-decimals='0' data-np-decSep=',' data-np-thSep='.' class='ngCellNumber' />
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                </tr>
            </table>
            <div class="GridSearchAreaFooter">
                <button data-np-click="updateGrid()"><i class="icon search" />{{getALString("Search")}}</button>
                <button data-np-click="clearBtnAction()"><i class="icon clear" />{{getALString("Clear")}}</button>
                <button data-np-click="selectActiveSetEntities()" data-ng-show="isMultiSelect()">(+)</button>
                <button data-np-click="unUselectActiveSetEntities()" data-ng-show="isMultiSelect()">(-)</button>

            </div>
        </div>
        <div data-on-key-down="closeDialog()" data-keys="[123,13]"><!-- The dialog must close with F12 and ENTER -->
            <div data-on-key-down="gridPageUp()" data-keys="[33]">
                <div data-on-key-down="gridPageDown()" data-keys="[34]">
                    <div
                         tabIndex="0" 
                            id="lovGridId" 
                            data-ng-grid="modelLovProducers.grid" 
                            class="gridStyle">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="LovButtonsArea">
        <button data-np-click="closeDialog()"><i class="icon select"/>{{getALString("LovButtons_Select")}}</button>
        <button data-np-click="modelLovProducers.selectedEntities = [null] ; closeDialog()"><i class="icon clear"/>{{getALString("LovButtons_Clear")}}</button>
        <button data-ng-show="modelLovProducers.dialogOptions.hasNewButton" data-np-click="openNewEntityDialog()"><i class="icon new"/>{{getALString("LovButtons_New")}}</button>
    </div>
</div>
